<?php

// Creates and configures a new panelbar control
function CreatePanelBar()
{
    $PanelBar1 = new Coalesys\PanelBar\PanelBar();
    $PanelBar1->setBackgroundColor("#ffffff");
    $PanelBar1->setBackgroundImage("./images/content_background.gif");
    $PanelBar1->setBorderSize(0);
    $PanelBar1->setButtonBorderSize(0);
    $PanelBar1->setButtonColor("#e7ebf0");
    $PanelBar1->setEffect(Coalesys\PanelBar\EffectConstants::None);
    $PanelBar1->setExpandMode(Coalesys\PanelBar\ExpandModeConstants::MultiGroupContentHeight);
    $PanelBar1->setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);
    $PanelBar1->setWidth(135);

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setButtonImage("./images/latestnews_opened.gif\" id=\"latestnewsButton");
    $cspbGroup->setCaption("Latest News");
    $cspbGroup->setExpanded(true);
    $cspbGroup->setHtmlAboveItems("<div style=\"font-family:arial,helvetica,sans-serif;font-size:11px;padding:8px;text-align:left;\"><b>7/22/2017</b><br /><a href=\"#\">Product Updates: New Releases supporting the latest versions of the .NET Framework</a><br /><br /><b>4/23/2017</b><br /><a href=\"#\">New Editions: PanelBar, WebMenu, WebDrillDown, WebObjectTree, WebPropertyGrid and WebTabSet for ASP.NET MVC</a><br /><br /><b>10/16/2016</b><br /><a href=\"#\">New Product Suites: Introducing our latest UI-Engines and Complete products</a></div>");
    $cspbGroup->setHtmlBelowItems("<div style=\"background-image:url('./images/content_end.gif');height:8px;\"></div>");
    $cspbGroup->setOnClick("ToggleButton('latestnews');");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setButtonImage("./images/sitesearch_opened.gif\" id=\"sitesearchButton");
    $cspbGroup->setCaption("Site Search");
    $cspbGroup->setExpanded(true);
    $cspbGroup->setHtmlAboveItems("<div style=\"font-family:arial,helvetica,sans-serif;font-size:11px;padding:8px;text-align:center;\"><div style=\"padding:4px;\"><input style=\"background-color:white;\" type=\"text\" size=\"12\" maxlength=\"255\" /></div><div style=\"padding:4px;\"><input type=\"image\" name=\"Go\" src=\"./images/button_submit.gif\" alt=\"Submit\" /></div></div>");
    $cspbGroup->setHtmlBelowItems("<div style=\"background-image:url('./images/content_end.gif');height:8px;\"></div>");
    $cspbGroup->setOnClick("ToggleButton('sitesearch');");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setButtonImage("./images/sitemap.gif");
    $cspbGroup->setCaption("Site Map");
    $cspbGroup->setOnClick("alert('OnClick executed');return false;");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setButtonImage("./images/feedback.gif");
    $cspbGroup->setCaption("Feedback");
    $cspbGroup->setOnClick("alert('OnClick executed');return false;");

    return $PanelBar1;
}

?>
