<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $PanelBar1 = CreatePanelBar();
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        .csVControl {width:220px;}
        .csElement {background-color:#5a5a5a;border:2px solid #808080;height:450px;margin-left:20px;width:175px;}
        .csVDocument {margin-left:220px;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csElement">
                    <?php echo $PanelBar1->GeneratePanelBar(0) ?>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Auto-Size to Element:</div>
                    <div class="csContent">
                        Another feature of the AutoSizeToFrame property is the ability for PanelBar to adjust automatically to the height and width of its parent container.
                        Unlike the &quot;AutoSizeToFrame&quot; sample, this sample does not use an HTML frameset.<br />
                        <br />
                        Set the following properties when the PanelBar is nested within a containing element:<br />
                        <br />
                        <div class="csCode">$PanelBar-&gt;setAutoSizeToFrame(true);</div>
                        <div class="csCode">$PanelBar-&gt;setExpandMode(Coalesys\PanelBar\ExpandModeConstants::SingleGroupCalculatedHeight);</div>
                        <br />
                        You can still use the other settings for <b>ExpandMode</b>, but in that case only the width of PanelBar will stretch, not its height.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /Dimensions<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/AutoSizeToElement
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
