<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
    </style>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csContent">
            <div class="csDescription">
                <div class="csTitle">Auto-Size to Frame:</div>
                <div class="csContent">
                    The PanelBar control can be made to fill the dimensions of a frame and automatically adjust when the user resizes the window.
                    When the frame is resized too small to fit the contents of the expanded PanelBar Group, scroll icons will appear.<br />
                    <br />
                    To use this feature, set the following properties:<br />
                    <br />
                    <div class="csCode">$PanelBar-&gt;setAutoSizeToFrame(true);</div>
                    <div class="csCode">$PanelBar-&gt;setExpandMode(Coalesys\PanelBar\ExpandModeConstants::SingleGroupCalculatedHeight);</div>
                    <br />
                    You can still use the other settings for <b>ExpandMode</b>, but in that case only the width of PanelBar will stretch, not its height.
                </div>
                <div class="csTitle">PanelBar Border:</div>
                <div class="csContent">
                    In this sample, the following property is also set:<br />
                    <br />
                    <div class="csCode">$PanelBar-&gt;setBorderSize(0);</div>
                    <br />
                    This places the edge of the PanelBar Groups against the frame. The frame provides the &quot;OuterBorder&quot; look.
                </div>
                <div class="csTitle">View the code:</div>
                <div class="csIndent">
                    The code is available in the samples directory under:
                    <div class="csDirectory">
                        /Dimensions<br />
                        &nbsp;&nbsp;&nbsp;&nbsp;/AutoSizeToFrame
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
