<?php

// Creates and configures a new panelbar control
function CreatePanelBar()
{
    $PanelBar1 = new Coalesys\PanelBar\PanelBar();
    $PanelBar1->setAutoSizeToFrame(true);
    $PanelBar1->setBackgroundColor("#5a5a5a");
    $PanelBar1->setBorderSize(0);
    $PanelBar1->setButtonOuterHighlightColor("#D4D0C8");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Outlook Shortcuts");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Outlook Today");
    $cspbItem->setIconImage("./images/outlooktoday.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Inbox (56)");
    $cspbItem->setIconImage("./images/inbox.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Calendar");
    $cspbItem->setIconImage("./images/calendar.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Contacts");
    $cspbItem->setIconImage("./images/contacts.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Tasks");
    $cspbItem->setIconImage("./images/tasks.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Notes");
    $cspbItem->setIconImage("./images/notes.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Deleted Items");
    $cspbItem->setIconImage("./images/deleteditems.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("My Shortcuts");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Drafts");
    $cspbItem->setIconImage("./images/drafts.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Outbox");
    $cspbItem->setIconImage("./images/outbox.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Sent Items");
    $cspbItem->setIconImage("./images/sentitems.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Journal");
    $cspbItem->setIconImage("./images/journal.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Outlook Update");
    $cspbItem->setIconImage("./images/outlookupdate.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Other Shortcuts");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("My Computer");
    $cspbItem->setIconImage("./images/mycomputer.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("My Documents");
    $cspbItem->setIconImage("./images/mydocuments.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Favorites");
    $cspbItem->setIconImage("./images/favorites.gif");
    $cspbItem->setTarget("main");
    $cspbItem->setURL("body.php");

    $PanelBar1->getButtonFont()->setSize("10pt");
    $PanelBar1->getButtonHoverFont()->setSize("10pt");
    $PanelBar1->getItemFont()->setColor("#e0e0e0");
    $PanelBar1->getItemFont()->setSize("8pt");
    $PanelBar1->getItemHoverFont()->setColor("#e0e0e0");
    $PanelBar1->getItemHoverFont()->setSize("8pt");

    return $PanelBar1;
}

?>
