<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $iconPosition = "0";
    if (isset($_REQUEST["iconposition"]))
    {
        $iconPosition = $_REQUEST["iconposition"];
    }
    $PanelBar1 = CreatePanelBar($iconPosition);
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#8d9bb2;}
        .csDescription {border-width:0px;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Icon Position:</div>
                    <div class="csContent">
                        The <b>PanelBar.IconPosition</b> property gives you choice in how you want the Item icons to appear in relation to the Item captions.
                        These can be seen in the navigation pane by clicking each:
                        <div class="csIndent">
                            <a href="index.php">Icons Above Caption</a> (default)<br />
                            <a href="index.php?iconposition=1">Icons Below Caption</a><br />
                            <a href="index.php?iconposition=2">Icons Left of Caption</a><br />
                            <a href="index.php?iconposition=3">Icons Right of Caption</a>
                        </div>
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /Orientations<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/IconPosition
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
