<?php

// Creates and configures a new panelbar control
function CreatePanelBar2()
{
    $PanelBar2 = new Coalesys\PanelBar\PanelBar();
    $PanelBar2->setBackgroundColor("#cebce8");
    $PanelBar2->setButtonInnerHighlightColor("#f0f0f0");
    $PanelBar2->setButtonInnerShadowColor("#a0a0a0");
    $PanelBar2->setButtonOuterHighlightColor("#e3e3e3");
    $PanelBar2->setButtonOuterShadowColor("#696969");
    $PanelBar2->setExpandMode(Coalesys\PanelBar\ExpandModeConstants::SingleGroupContentHeight);
    $PanelBar2->setGeneratedPrefix("cspb2");
    $PanelBar2->setInnerHighlightColor("#e3e3e3");
    $PanelBar2->setInnerShadowColor("#696969");
    $PanelBar2->setName("PanelBar2");
    $PanelBar2->setOuterHighlightColor("#f0f0f0");
    $PanelBar2->setOuterShadowColor("#a0a0a0");
    $PanelBar2->setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);

    $cspbGroup = $PanelBar2->getGroups()->Add();
    $cspbGroup->setCaption("Continents");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Africa");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Antarctica");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Asia");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Australia");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Europe");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("North America");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("South America");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar2->getGroups()->Add();
    $cspbGroup->setCaption("Supercontinents");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Afro-Eurasia");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Americas");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Eurasia");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Oceania");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar2->getGroups()->Add();
    $cspbGroup->setCaption("More Info");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Historical Data");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Other Facts");
    $cspbItem->setURL("index.php");

    $PanelBar2->getButtonFont()->setColor("#202020");
    $PanelBar2->getButtonHoverFont()->setColor("#202020");
    $PanelBar2->getItemFont()->setColor("#202020");
    $PanelBar2->getItemHoverFont()->setColor("#202020");

    return $PanelBar2;
}

?>
