<?php

// Creates and configures a new panelbar control
function CreatePanelBar()
{
    $PanelBar1 = new Coalesys\PanelBar\PanelBar();
    $PanelBar1->setBackgroundColor("#b6ddd6");
    $PanelBar1->setButtonInnerHighlightColor("#f0f0f0");
    $PanelBar1->setButtonInnerShadowColor("#a0a0a0");
    $PanelBar1->setButtonOuterHighlightColor("#e3e3e3");
    $PanelBar1->setButtonOuterShadowColor("#696969");
    $PanelBar1->setInnerHighlightColor("#e3e3e3");
    $PanelBar1->setInnerShadowColor("#696969");
    $PanelBar1->setOuterHighlightColor("#f0f0f0");
    $PanelBar1->setOuterShadowColor("#a0a0a0");
    $PanelBar1->setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Continents");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Africa");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Antarctica");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Asia");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Australia");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Europe");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("North America");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("South America");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Supercontinents");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Afro-Eurasia");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Americas");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Eurasia");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Oceania");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("More Info");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Historical Data");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Other Facts");
    $cspbItem->setURL("index.php");

    $PanelBar1->getButtonFont()->setColor("#202020");
    $PanelBar1->getButtonHoverFont()->setColor("#202020");
    $PanelBar1->getItemFont()->setColor("#202020");
    $PanelBar1->getItemHoverFont()->setColor("#202020");

    return $PanelBar1;
}

?>
