<?php

// Creates and configures a new panelbar control
function CreatePanelBar()
{
    $PanelBar1 = new Coalesys\PanelBar\PanelBar();
    $PanelBar1->setBackgroundColor("#f0f1f5");
    $PanelBar1->setBackgroundImage("./images/background.gif");
    $PanelBar1->setBorderSize(0);
    $PanelBar1->setButtonBackgroundImage("./images/button.gif");
    $PanelBar1->setButtonBorderSize(0);
    $PanelBar1->setButtonColor("#e0e1e8");
    $PanelBar1->setButtonHeight(23);
    $PanelBar1->setExpandMode(Coalesys\PanelBar\ExpandModeConstants::MultiGroupContentHeight);
    $PanelBar1->setGroupSpacing(16);
    $PanelBar1->setGroupSpacingColor("#b9bccd");
    $PanelBar1->setIconHeight(16);
    $PanelBar1->setIconPosition(Coalesys\PanelBar\IconPositionConstants::Left);
    $PanelBar1->setIconWidth(16);
    $PanelBar1->setItemSpacing(5);
    $PanelBar1->setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);
    $PanelBar1->setSelectedButtonBackgroundImage("./images/selected_button.gif");
    $PanelBar1->setWidth(185);

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Network Tasks");
    $cspbGroup->setExpanded(true);
    $cspbGroup->setHtmlAboveItems("<div style=\"height:5px;\"></div>");
    $cspbGroup->setHtmlBelowItems("<div style=\"height:5px;\"></div><div style=\"background-image:url('./images/background_end.gif');height:2px;\"></div>");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Create New Connection");
    $cspbItem->setIconImage("./images/new_connection.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Change Firewall Settings");
    $cspbItem->setIconImage("./images/firewall_settings.gif");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("See Also");
    $cspbGroup->setHtmlAboveItems("<div style=\"height:5px;\"></div>");
    $cspbGroup->setHtmlBelowItems("<div style=\"height:5px;\"></div><div style=\"background-image:url('./images/background_end.gif');height:2px;\"></div>");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Network Troubleshooter");
    $cspbItem->setIconImage("./images/troubleshooter.gif");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Other Places");
    $cspbGroup->setExpanded(true);
    $cspbGroup->setHtmlAboveItems("<div style=\"height:5px;\"></div>");
    $cspbGroup->setHtmlBelowItems("<div style=\"height:5px;\"></div><div style=\"background-image:url('./images/background_end.gif');height:2px;\"></div>");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Control Panel");
    $cspbItem->setIconImage("./images/control_panel.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Network Places");
    $cspbItem->setIconImage("./images/network_places.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("My Documents");
    $cspbItem->setIconImage("./images/my_documents.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("My Computer");
    $cspbItem->setIconImage("./images/my_computer.gif");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Details");
    $cspbGroup->setExpanded(true);
    $cspbGroup->setHtmlAboveItems("<div style=\"height:5px;\"></div>");
    $cspbGroup->setHtmlBelowItems("<div style=\"height:5px;\"></div><div style=\"background-image:url('./images/background_end.gif');height:2px;\"></div>");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("<b>Network Connections</b><br />System Folder");
    $cspbItem->setURL("index.php");

    $PanelBar1->getButtonFont()->setAlignment("left");
    $PanelBar1->getButtonFont()->setColor("#3F3D3D");
    $PanelBar1->getButtonFont()->setPaddingLeft(15);
    $PanelBar1->getButtonFont()->setWeight("bold");
    $PanelBar1->getButtonHoverFont()->setColor("#7E7C7C");
    $PanelBar1->getButtonHoverFont()->setWeight("bold");
    $PanelBar1->getItemFont()->setAlignment("left");
    $PanelBar1->getItemFont()->setColor("#3F3D3D");
    $PanelBar1->getItemFont()->setPaddingLeft(15);
    $PanelBar1->getItemHoverFont()->setColor("#7E7C7C");

    return $PanelBar1;
}

?>
