<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $PanelBar1 = CreatePanelBar();
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <script src="./ToggleButton.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#ffffff;}
        .csVContent {padding-top:8px;}
        .csDescription {border-radius:4px;margin-top:10px;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Group OnClick:</div>
                    <div class="csContent">
                        PanelBar not only expands/collapses Groups when a button is clicked, you can also use the <b>Group.OnClick</b> property to execute your own client-side JavaScript code.
                        Your JavaScript will execute first, followed by PanelBar's own Expand/Collapse functionality.
                        If you do not want PanelBar to execute its expand/collapse logic, then simply <b>return false</b> at the end of your <b>OnClick</b> handler.<br />
                        <br />
                        In the first two Groups of this sample, the <b>Group.OnClick</b> event is used to change the <b>Group.ButtonImage</b> and toggle the visibility of the Group.<br />
                        <br />
                        In the last two Groups, <b>Group.OnClick</b> is used to show an alert dialog box and then cancels PanelBar's expand/collapse logic.<br />
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/GroupOnClick
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
