<?php

// Creates and configures a new panelbar control
function CreatePanelBar($groupSelected)
{
    $PanelBar1 = new Coalesys\PanelBar\PanelBar();
    $PanelBar1->setBackgroundColor("#f5f5f5");
    $PanelBar1->setBorderSize(1);
    $PanelBar1->setButtonBorderSize(1);
    $PanelBar1->setButtonColor("#447898");
    $PanelBar1->setButtonHeight(18);
    $PanelBar1->setButtonOuterHighlightColor("#7398be");
    $PanelBar1->setButtonOuterShadowColor("#285f5f");
    $PanelBar1->setGroupSelected($groupSelected);
    $PanelBar1->setOuterHighlightColor("#aaaaaa");
    $PanelBar1->setOuterShadowColor("#aaaaaa");
    $PanelBar1->setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("CPU Usage");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("CPU 1");
    $cspbItem->setURL("index.php?groupSelected=CPU%20Usage");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("CPU 2");
    $cspbItem->setURL("index.php?groupSelected=CPU%20Usage");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("CPU 3");
    $cspbItem->setURL("index.php?groupSelected=CPU%20Usage");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("CPU 4");
    $cspbItem->setURL("index.php?groupSelected=CPU%20Usage");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Physical Memory");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Total");
    $cspbItem->setURL("index.php?groupSelected=Physical%20Memory");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Cached");
    $cspbItem->setURL("index.php?groupSelected=Physical%20Memory");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Available");
    $cspbItem->setURL("index.php?groupSelected=Physical%20Memory");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Free");
    $cspbItem->setURL("index.php?groupSelected=Physical%20Memory");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("System");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Handles");
    $cspbItem->setURL("index.php?groupSelected=System");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Threads");
    $cspbItem->setURL("index.php?groupSelected=System");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Processes");
    $cspbItem->setURL("index.php?groupSelected=System");

    $PanelBar1->getButtonFont()->setColor("#ffffff");
    $PanelBar1->getButtonHoverFont()->setColor("#ffffff");
    $PanelBar1->getItemFont()->setColor("#444444");
    $PanelBar1->getItemFont()->setSize("12px");
    $PanelBar1->getItemHoverFont()->setColor("#444444");
    $PanelBar1->getItemHoverFont()->setSize("12px");

    return $PanelBar1;
}

?>
